Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-""" Viewing components for SIRP objects.
+""" Viewing components for KOFA objects.
 """
 import copy
@@ -37,30 +37,30 @@
 from zope.event import notify
 from zope.session.interfaces import ISession
-from waeup.sirp.browser import (
-    SIRPPage, SIRPForm, SIRPEditFormPage, SIRPAddFormPage,
-    SIRPDisplayFormPage, NullValidator)
-from waeup.sirp.browser.interfaces import (
+from waeup.kofa.browser import (
+    KOFAPage, KOFAForm, KOFAEditFormPage, KOFAAddFormPage,
+    KOFADisplayFormPage, NullValidator)
+from waeup.kofa.browser.interfaces import (
     IUniversity, IFacultiesContainer, IFaculty, IFacultyAdd,
     IDepartment, IDepartmentAdd, ICourse, ICourseAdd, ICertificate,
     ICertificateAdd, ICertificateCourse, ICertificateCourseAdd)
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.browser.resources import warning, datepicker, tabs, datatable
-from waeup.sirp.interfaces import(
-    ISIRPObject, IUsersContainer, IUserAccount, IDataCenter,
-    ISIRPXMLImporter, ISIRPXMLExporter, IBatchProcessor,
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.browser.resources import warning, datepicker, tabs, datatable
+from waeup.kofa.interfaces import(
+    IKOFAObject, IUsersContainer, IUserAccount, IDataCenter,
+    IKOFAXMLImporter, IKOFAXMLExporter, IBatchProcessor,
     ILocalRolesAssignable, DuplicationError, IConfigurationContainer,
     ISessionConfiguration, ISessionConfigurationAdd,
-    IPasswordValidator, IContactForm, ISIRPUtils)
-from waeup.sirp.permissions import get_users_with_local_roles, get_all_roles
-from waeup.sirp.students.catalog import search as searchstudents
-from waeup.sirp.university.catalog import search
-from waeup.sirp.university.vocabularies import course_levels
-from waeup.sirp.authentication import LocalRoleSetEvent
-from waeup.sirp.widgets.restwidget import ReSTDisplayWidget
-from waeup.sirp.authentication import get_principal_role_manager
-from waeup.sirp.utils.helpers import get_user_account
-from waeup.sirp.browser.layout import jsaction, action, UtilityView
-
-grok.context(ISIRPObject)
+    IPasswordValidator, IContactForm, IKOFAUtils)
+from waeup.kofa.permissions import get_users_with_local_roles, get_all_roles
+from waeup.kofa.students.catalog import search as searchstudents
+from waeup.kofa.university.catalog import search
+from waeup.kofa.university.vocabularies import course_levels
+from waeup.kofa.authentication import LocalRoleSetEvent
+from waeup.kofa.widgets.restwidget import ReSTDisplayWidget
+from waeup.kofa.authentication import get_principal_role_manager
+from waeup.kofa.utils.helpers import get_user_account
+from waeup.kofa.browser.layout import jsaction, action, UtilityView
+
+grok.context(IKOFAObject)
 grok.templatedir('templates')
 
@@ -144,9 +144,9 @@
 #
 
-class LoginPage(SIRPPage):
+class LoginPage(KOFAPage):
     """A login page, available for all objects.
     """
     grok.name('login')
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.require('waeup.Public')
     label = _(u'Login')
@@ -179,8 +179,8 @@
 
 
-class LogoutPage(SIRPPage):
+class LogoutPage(KOFAPage):
     """A logout page. Calling this page will log the current user out.
     """
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.require('waeup.Public')
     grok.name('logout')
@@ -190,17 +190,17 @@
             auth = getUtility(IAuthentication)
             ILogout(auth).logout(self.request)
-            self.flash(_("You have been logged out. Thanks for using WAeUP SIRP!"))
+            self.flash(_("You have been logged out. Thanks for using WAeUP KOFA!"))
         self.redirect(self.application_url())
 
 
-class LanguageChangePage(SIRPPage):
+class LanguageChangePage(KOFAPage):
     """ Language switch
     """
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.name('change_language')
     grok.require('waeup.Public')
 
     def update(self, lang='en', view_name='@@index'):
-        self.response.setCookie('sirp.language', lang, path='/')
+        self.response.setCookie('kofa.language', lang, path='/')
         self.redirect(self.url(self.context, view_name))
         return
@@ -213,5 +213,5 @@
 #
 
-class ContactAdminForm(SIRPForm):
+class ContactAdminForm(KOFAForm):
     grok.name('contactadmin')
     #grok.context(IUniversity)
@@ -242,6 +242,6 @@
         usertype = getattr(self.request.principal,
                            'user_type', 'system').title()
-        sirp_utils = getUtility(ISIRPUtils)
-        success = sirp_utils.sendContactForm(
+        kofa_utils = getUtility(IKOFAUtils)
+        success = kofa_utils.sendContactForm(
                 fullname,email,
                 self.config.name_admin,self.config.email_admin,
@@ -263,6 +263,6 @@
     @action(_('Send now'), style='primary')
     def send(self, *args, **data):
-        sirp_utils = getUtility(ISIRPUtils)
-        success = sirp_utils.sendContactForm(
+        kofa_utils = getUtility(IKOFAUtils)
+        success = kofa_utils.sendContactForm(
                 data['fullname'],data['email_from'],
                 self.config.name_admin,self.config.email_admin,
@@ -279,5 +279,5 @@
 #
 
-class UniversityPage(SIRPDisplayFormPage):
+class UniversityPage(KOFADisplayFormPage):
     """ The main university page.
     """
@@ -290,6 +290,6 @@
     @property
     def frontpage(self):
-        portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
-        lang = self.request.cookies.get('sirp.language', portal_language)
+        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        lang = self.request.cookies.get('kofa.language', portal_language)
         html = self.context['configuration'].frontpage_dict.get(lang,'')
         if html =='':
@@ -297,9 +297,9 @@
                 'configuration'].frontpage_dict.get(portal_language,'')
         if html =='':
-            return _(u'<h1>Welcome to WAeUP.SIRP</h1>')
+            return _(u'<h1>Welcome to WAeUP.KOFA</h1>')
         else:
             return html
 
-class AdministrationPage(SIRPPage):
+class AdministrationPage(KOFAPage):
     """ The administration overview page.
     """
@@ -319,5 +319,5 @@
 
     name = 'General news feed'
-    description = 'waeup.sirp now supports RSS 2.0 feeds :-)'
+    description = 'waeup.kofa now supports RSS 2.0 feeds :-)'
     language = None
     date = None
@@ -378,5 +378,5 @@
 #
 
-class UsersContainerPage(SIRPPage):
+class UsersContainerPage(KOFAPage):
     """Overview page for all local users.
     """
@@ -418,5 +418,5 @@
         return site_roles_string
 
-class AddUserFormPage(SIRPAddFormPage):
+class AddUserFormPage(KOFAAddFormPage):
     grok.require('waeup.manageUsers')
     grok.context(IUsersContainer)
@@ -456,5 +456,5 @@
         self.redirect(self.url(self.context))
 
-class UserManageFormPage(SIRPEditFormPage):
+class UserManageFormPage(KOFAEditFormPage):
     """Manage a user account.
     """
@@ -525,6 +525,6 @@
         usertype = getattr(self.request.principal,
                            'user_type', 'system').title()
-        sirp_utils = getUtility(ISIRPUtils)
-        success = sirp_utils.sendContactForm(
+        kofa_utils = getUtility(IKOFAUtils)
+        success = kofa_utils.sendContactForm(
                 self.request.principal.title,email,
                 self.context.title,self.context.email,
@@ -550,5 +550,5 @@
         self.widgets['title'].displayWidth = 30
 
-class MyRolesPage(SIRPPage):
+class MyRolesPage(KOFAPage):
     """Display site roles and local roles assigned to officers.
     """
@@ -581,5 +581,5 @@
 #
 
-class SearchPage(SIRPPage):
+class SearchPage(KOFAPage):
     """General search page for the academics section.
     """
@@ -608,5 +608,5 @@
 #
 
-class ConfigurationContainerDisplayFormPage(SIRPDisplayFormPage):
+class ConfigurationContainerDisplayFormPage(KOFADisplayFormPage):
     """View page of the configuration container.
     """
@@ -619,5 +619,5 @@
     form_fields['frontpage'].custom_widget = ReSTDisplayWidget
 
-class ConfigurationContainerManageFormPage(SIRPEditFormPage):
+class ConfigurationContainerManageFormPage(KOFAEditFormPage):
     """Manage page of the configuration container. We always use the
     manage page in the UI not the view page, thus we use the index name here.
@@ -684,5 +684,5 @@
         return
 
-class SessionConfigurationAddFormPage(SIRPAddFormPage):
+class SessionConfigurationAddFormPage(KOFAAddFormPage):
     """Add a session configuration object to configuration container.
     """
@@ -711,5 +711,5 @@
         return
 
-class SessionConfigurationManageFormPage(SIRPEditFormPage):
+class SessionConfigurationManageFormPage(KOFAEditFormPage):
     """Manage session configuration object.
     """
@@ -742,5 +742,5 @@
 #
 
-class DatacenterPage(SIRPPage):
+class DatacenterPage(KOFAPage):
     grok.context(IDataCenter)
     grok.name('index')
@@ -749,5 +749,5 @@
     pnav = 0
 
-class DatacenterUploadPage(SIRPPage):
+class DatacenterUploadPage(KOFAPage):
     grok.context(IDataCenter)
     grok.name('upload')
@@ -794,5 +794,5 @@
         return '%s_%s%s' % (base, filtered_username, ext.lower())
 
-class DatacenterImportStep1(SIRPPage):
+class DatacenterImportStep1(KOFAPage):
     """Manual import step 1: choose file
     """
@@ -820,9 +820,9 @@
         if select is not None:
             # A filename was selected
-            session = ISession(self.request)['waeup.sirp']
+            session = ISession(self.request)['waeup.kofa']
             session['import_filename'] = select
             self.redirect(self.url(self.context, '@@import2'))
 
-class DatacenterImportStep2(SIRPPage):
+class DatacenterImportStep2(KOFAPage):
     """Manual import step 2: choose importer
     """
@@ -909,5 +909,5 @@
     def update(self, mode=None, importer=None,
                back1=None, cancel=None, proceed=None):
-        session = ISession(self.request)['waeup.sirp']
+        session = ISession(self.request)['waeup.kofa']
         self.filename = session.get('import_filename', None)
 
@@ -944,5 +944,5 @@
             self.flash(warnings)
 
-class DatacenterImportStep3(SIRPPage):
+class DatacenterImportStep3(KOFAPage):
     """Manual import step 3: modify header
     """
@@ -1023,5 +1023,5 @@
 
     def update(self, headerfield=None, back2=None, cancel=None, proceed=None):
-        session = ISession(self.request)['waeup.sirp']
+        session = ISession(self.request)['waeup.kofa']
         self.filename = session.get('import_filename', None)
         self.mode = session.get('import_mode', None)
@@ -1052,5 +1052,5 @@
             self.flash(warnings)
 
-class DatacenterImportStep4(SIRPPage):
+class DatacenterImportStep4(KOFAPage):
     """Manual import step 4: do actual import
     """
@@ -1074,5 +1074,5 @@
             self.redirect(self.url(self.context))
             return
-        session = ISession(self.request)['waeup.sirp']
+        session = ISession(self.request)['waeup.kofa']
         self.filename = session.get('import_filename', None)
         self.mode = session.get('import_mode', None)
@@ -1111,5 +1111,5 @@
             mapping = {'a':linenum - self.warn_num}))
 
-class DatacenterLogsOverview(SIRPPage):
+class DatacenterLogsOverview(KOFAPage):
     grok.context(IDataCenter)
     grok.name('logs')
@@ -1122,5 +1122,5 @@
 
     def update(self, show=None, logname=None, back=None):
-        session = ISession(self.request)['waeup.sirp']
+        session = ISession(self.request)['waeup.kofa']
         if back is not None:
             self.redirect(self.url(self.context))
@@ -1133,5 +1133,5 @@
         self.files = self.context.getLogFiles()
 
-class DatacenterLogsFileview(SIRPPage):
+class DatacenterLogsFileview(KOFAPage):
     grok.context(IDataCenter)
     grok.name('show')
@@ -1153,5 +1153,5 @@
             self.redirect(self.url(self.context, '@@logs'))
             return
-        session = ISession(self.request)['waeup.sirp']
+        session = ISession(self.request)['waeup.kofa']
         logname = session.get('logname', None)
         if back is not None or logname is None:
@@ -1172,5 +1172,5 @@
         popen.close()
 
-class DatacenterSettings(SIRPPage):
+class DatacenterSettings(KOFAPage):
     grok.context(IDataCenter)
     grok.name('manage')
@@ -1215,5 +1215,5 @@
 
     def render(self):
-        exporter = ISIRPXMLExporter(self.context)
+        exporter = IKOFAXMLExporter(self.context)
         xml = exporter.export().read()
         self.response.setHeader(
@@ -1221,5 +1221,5 @@
         return xml
 
-class ImportXMLPage(SIRPPage):
+class ImportXMLPage(KOFAPage):
     """Replace the context object by an object created from an XML
        representation.
@@ -1237,5 +1237,5 @@
         if not xmlfile:
             return
-        importer = ISIRPXMLImporter(self.context)
+        importer = IKOFAXMLImporter(self.context)
         obj = importer.doImport(xmlfile)
         if type(obj) != type(self.context):
@@ -1257,5 +1257,5 @@
 #
 
-class FacultiesContainerPage(SIRPPage):
+class FacultiesContainerPage(KOFAPage):
     """ Index page for faculty containers.
     """
@@ -1267,5 +1267,5 @@
     grok.template('facultypage')
 
-class FacultiesContainerManageFormPage(SIRPEditFormPage):
+class FacultiesContainerManageFormPage(KOFAEditFormPage):
     """Manage the basic properties of a `Faculty` instance.
     """
@@ -1302,5 +1302,5 @@
 
 
-class FacultyAddFormPage(SIRPAddFormPage):
+class FacultyAddFormPage(KOFAAddFormPage):
     """ Page form to add a new faculty to a faculty container.
     """
@@ -1330,5 +1330,5 @@
 # Faculty pages
 #
-class FacultyPage(SIRPPage):
+class FacultyPage(KOFAPage):
     """Index page of faculties.
     """
@@ -1342,5 +1342,5 @@
         return _('Departments')
 
-class FacultyManageFormPage(SIRPEditFormPage):
+class FacultyManageFormPage(KOFAEditFormPage):
     """Manage the basic properties of a `Faculty` instance.
     """
@@ -1416,5 +1416,5 @@
         return del_local_roles(self,3,**data)
 
-class DepartmentAddFormPage(SIRPAddFormPage):
+class DepartmentAddFormPage(KOFAAddFormPage):
     """Add a department to a faculty.
     """
@@ -1446,5 +1446,5 @@
 # Department pages
 #
-class DepartmentPage(SIRPPage):
+class DepartmentPage(KOFAPage):
     """Department index page.
     """
@@ -1475,5 +1475,5 @@
             yield(dict(url=url, name=key, container=val))
 
-class ShowStudentsInDepartmentPage(SIRPPage):
+class ShowStudentsInDepartmentPage(KOFAPage):
     """Page that lists all students in the department.
     """
@@ -1510,5 +1510,5 @@
         return hitlist
 
-class DepartmentManageFormPage(SIRPEditFormPage):
+class DepartmentManageFormPage(KOFAEditFormPage):
     """Manage the basic properties of a `Department` instance.
     """
@@ -1612,5 +1612,5 @@
         return del_local_roles(self,4,**data)
 
-class CourseAddFormPage(SIRPAddFormPage):
+class CourseAddFormPage(KOFAAddFormPage):
     """Add-form to add course to a department.
     """
@@ -1649,5 +1649,5 @@
         return
 
-class CertificateAddFormPage(SIRPAddFormPage):
+class CertificateAddFormPage(KOFAAddFormPage):
     """Add-form to add certificate to a department.
     """
@@ -1690,5 +1690,5 @@
 # Courses pages
 #
-class CoursePage(SIRPDisplayFormPage):
+class CoursePage(KOFADisplayFormPage):
     """Course index page.
     """
@@ -1703,5 +1703,5 @@
         return '%s (%s)' % (self.context.title, self.context.code)
 
-class CourseManageFormPage(SIRPEditFormPage):
+class CourseManageFormPage(KOFAEditFormPage):
     """Edit form page for courses.
     """
@@ -1734,5 +1734,5 @@
 # Certificate pages
 #
-class CertificatePage(SIRPDisplayFormPage):
+class CertificatePage(KOFADisplayFormPage):
     """Index page for certificates.
     """
@@ -1752,5 +1752,5 @@
         return super(CertificatePage, self).update()
 
-class CertificateManageFormPage(SIRPEditFormPage):
+class CertificateManageFormPage(KOFAEditFormPage):
     """Manage the properties of a `Certificate` instance.
     """
@@ -1830,5 +1830,5 @@
 
 
-class CertificateCourseAddFormPage(SIRPAddFormPage):
+class CertificateCourseAddFormPage(KOFAAddFormPage):
     """Add-page to add a course ref to a certificate
     """
@@ -1862,5 +1862,5 @@
 # Certificate course pages...
 #
-class CertificateCoursePage(SIRPPage):
+class CertificateCoursePage(KOFAPage):
     """CertificateCourse index page.
     """
@@ -1879,5 +1879,5 @@
         return course_levels.getTerm(self.context.level).title
 
-class CertificateCourseManageFormPage(SIRPEditFormPage):
+class CertificateCourseManageFormPage(KOFAEditFormPage):
     """Manage the basic properties of a `CertificateCourse` instance.
     """
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/resources.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/resources.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/resources.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Special JavaScript and CSS resources provided by waeup.sirp.
+"""Special JavaScript and CSS resources provided by waeup.kofa.
 """
 #from hurry import yui
@@ -24,6 +24,6 @@
 
 
-#: All local resources are registered under the name ``waeup_sirp``.
-waeup_sirp = Library('waeup_sirp', 'static')
+#: All local resources are registered under the name ``waeup_kofa``.
+waeup_kofa = Library('waeup_kofa', 'static')
 
 #: A resource that binds a jQueryUI datepicker widget to each
@@ -36,5 +36,5 @@
 #:   require the JavaScript code to be rendered into the page::
 #:
-#:     from waeup.sirp.browser.resources import datepicker
+#:     from waeup.kofa.browser.resources import datepicker
 #:     # ...
 #:     class MyPage(...):
@@ -89,5 +89,5 @@
 #: ``"datepicker-us-year"``
 #:    same but also adds a select field for year
-datepicker = ResourceInclusion(waeup_sirp, 'datepicker.js',
+datepicker = ResourceInclusion(waeup_kofa, 'datepicker.js',
                                depends=[jqueryui])
 
@@ -99,5 +99,5 @@
 #:   require the JavaScript code to be rendered into the page::
 #:
-#:     from waeup.sirp.browser.resources import warning
+#:     from waeup.kofa.browser.resources import warning
 #:     # ...
 #:     class MyPage(...):
@@ -115,5 +115,5 @@
 #:        <input type="submit" name="xyz" value="abc">
 #:               onclick="return confirmPost('Are you sure?')"/>
-warning = ResourceInclusion(waeup_sirp, 'warning.js')
+warning = ResourceInclusion(waeup_kofa, 'warning.js')
 
 #: If you have many select boxes in a from which have to be selected at the same
@@ -123,5 +123,5 @@
 #:   require the JavaScript code to be rendered into the page::
 #:
-#:     from waeup.sirp.browser.resources import toggleall
+#:     from waeup.kofa.browser.resources import toggleall
 #:     # ...
 #:     class MyPage(...):
@@ -138,5 +138,5 @@
 #:
 #:    <input type="checkbox" onClick="toggle(this, 'entries')" />
-toggleall = ResourceInclusion(waeup_sirp, 'toggleall.js')
+toggleall = ResourceInclusion(waeup_kofa, 'toggleall.js')
 
 #: A resource that binds Bootstrap tabs to <div> tags with class
@@ -150,5 +150,5 @@
 #:   tab for redirection::
 #:
-#:     from waeup.sirp.browser.resources import tabs
+#:     from waeup.kofa.browser.resources import tabs
 #:
 #:     class MyPage(...):
@@ -188,5 +188,5 @@
 #: for details.
 #:
-tabs = ResourceInclusion(waeup_sirp, 'bootstrap-tabs-1.4.0.js',
+tabs = ResourceInclusion(waeup_kofa, 'bootstrap-tabs-1.4.0.js',
                           depends=[jquery])
 
@@ -197,10 +197,10 @@
 #: use of datatables you might want to add some specialized CSS like
 #: `datatable_css` below.
-datatables = ResourceInclusion(waeup_sirp, 'jquery.dataTables.js',
+datatables = ResourceInclusion(waeup_kofa, 'jquery.dataTables.js',
                                minified='jquery.dataTables.min.js',
                                depends=[jquery])
 
 #: A stylesheet for datatables
-datatables_css = ResourceInclusion(waeup_sirp, 'datatables.css')
+datatables_css = ResourceInclusion(waeup_kofa, 'datatables.css')
 
 #: A resource that turns HTML tables into sortable, searchable and :
@@ -214,5 +214,5 @@
 #:   require the JavaScript code to be rendered into the page::
 #:
-#:     from waeup.sirp.browser.resources import datatable
+#:     from waeup.kofa.browser.resources import datatable
 #:     # ...
 #:     class MyPage(...):
@@ -251,23 +251,23 @@
 #: for details.
 #:
-datatable = ResourceInclusion(waeup_sirp, 'datatable.js',
+datatable = ResourceInclusion(waeup_kofa, 'datatable.js',
                               depends=[datatables, datatables_css])
 
 #: Register Twitter's Bootsrap css including dropdown js as a resource.
 bootstrap_min = ResourceInclusion(
-    waeup_sirp, 'bootstrap-1.4.0.css')
+    waeup_kofa, 'bootstrap-1.4.0.css')
 
 dropdown = ResourceInclusion(
-    waeup_sirp, 'bootstrap-dropdown-1.4.0.js',
+    waeup_kofa, 'bootstrap-dropdown-1.4.0.js',
     depends=[jquery])
 
-#: Register basic SIRP CSS (which is based on ``bootstrap.min-1.4.0.css`` 
+#: Register basic KOFA CSS (which is based on ``bootstrap.min-1.4.0.css`` 
 #: and ``base`` as a resource.
 waeup_base_css = ResourceInclusion(
-    waeup_sirp, 'waeup-base.css',
+    waeup_kofa, 'waeup-base.css',
     depends=[dropdown,bootstrap_min, base])
 
 #: A basic theme based on jQuery only (crappy yet).
 waeuptheme_empty = ResourceInclusion(
-    waeup_sirp, 'empty.css',
+    waeup_kofa, 'empty.css',
     depends=[humanity])
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_captcha.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_captcha.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_captcha.py	(revision 7811)
@@ -21,9 +21,9 @@
 from zope.interface import verify
 from zope.publisher.browser import TestRequest
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.browser.captcha import (
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.browser.captcha import (
     CaptchaResponse, CaptchaRequest, NullCaptcha, StaticCaptcha, ReCaptcha,
     CaptchaManager)
-from waeup.sirp.browser.interfaces import (
+from waeup.kofa.browser.interfaces import (
     ICaptchaRequest, ICaptchaResponse, ICaptcha, ICaptchaConfig,
     ICaptchaManager)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_doctests.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_doctests.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_doctests.py	(revision 7811)
@@ -18,5 +18,5 @@
 """Setup doctests for browser module.
 """
-from waeup.sirp.testing import get_doctest_suite
+from waeup.kofa.testing import get_doctest_suite
 
 def test_suite():
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_permissions.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_permissions.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_permissions.py	(revision 7811)
@@ -31,6 +31,6 @@
 from zope.security.interfaces import Unauthorized
 from zope.testbrowser.testing import Browser
-from waeup.sirp.app import University
-from waeup.sirp.testing import (
+from waeup.kofa.app import University
+from waeup.kofa.testing import (
     FunctionalLayer, FunctionalTestCase, get_all_loggers, remove_new_loggers,
     remove_logger)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/theming.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/theming.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/theming.py	(revision 7811)
@@ -23,11 +23,11 @@
 from zope.interface import Interface
 from zope.schema.interfaces import IVocabularyFactory
-from waeup.sirp.interfaces import SimpleSIRPVocabulary
-from waeup.sirp.browser.interfaces import ITheme
-from waeup.sirp.browser.resources import (
+from waeup.kofa.interfaces import SimpleKOFAVocabulary
+from waeup.kofa.browser.interfaces import ITheme
+from waeup.kofa.browser.resources import (
     waeuptheme_empty, waeup_base_css,
     )
 
-class SIRPThemeBase(grok.GlobalUtility):
+class KOFAThemeBase(grok.GlobalUtility):
     grok.implements(ITheme)
     grok.name('base waeup theme')
@@ -38,5 +38,5 @@
         return [waeup_base_css]
 
-#class SIRPThemeRed1(grok.GlobalUtility):
+#class KOFAThemeRed1(grok.GlobalUtility):
 #    grok.implements(ITheme)
 #    grok.name('red waeup theme')
@@ -47,5 +47,5 @@
 #        return [waeuptheme_red1]
 
-#class SIRPThemeGray1(grok.GlobalUtility):
+#class KOFAThemeGray1(grok.GlobalUtility):
 #    grok.implements(ITheme)
 #    grok.name('gray waeup theme')
@@ -56,5 +56,5 @@
 #        return [waeuptheme_gray1]
 
-class SIRPThemeEmpty(grok.GlobalUtility):
+class KOFAThemeEmpty(grok.GlobalUtility):
     """A theme based on jQuery only.
 
@@ -87,10 +87,10 @@
     and registered under the name
 
-      'waeup.sirp.browser.theming.ThemesVocabulary'
+      'waeup.kofa.browser.theming.ThemesVocabulary'
 
     Interface fields that wish to provide a list of available themes
     can require a 'named vocabulary', i.e. set:
 
-      vocabulary = 'waeup.sirp.browser.theming.ThemesVocabulary'
+      vocabulary = 'waeup.kofa.browser.theming.ThemesVocabulary'
 
     and the vocabulary will deliver themes and their descriptive text
@@ -101,5 +101,5 @@
     """
     grok.implements(IVocabularyFactory)
-    grok.name('waeup.sirp.browser.theming.ThemesVocabulary')
+    grok.name('waeup.kofa.browser.theming.ThemesVocabulary')
 
     def __call__(self, context):
@@ -112,4 +112,4 @@
         terms = [(theme.description, name)
                  for name, theme in get_all_themes()]
-        vocab = SimpleSIRPVocabulary(*terms)
+        vocab = SimpleKOFAVocabulary(*terms)
         return vocab
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 7811)
@@ -23,21 +23,21 @@
 from zope.location.interfaces import ISite
 from zope.traversing.browser import absoluteURL
-from waeup.sirp.browser.pages import (
+from waeup.kofa.browser.pages import (
     UniversityPage, FacultiesContainerPage, DatacenterPage, FacultyPage,
     DepartmentPage, CoursePage, CertificatePage, CertificateCoursePage,
     UsersContainerPage, UserManageFormPage)
-from waeup.sirp.browser.interfaces import (
+from waeup.kofa.browser.interfaces import (
     IFacultiesContainer, IFaculty, IDepartment, ICourse, ICertificate,
     ICertificateCourse, IBreadcrumbContainer, IUniversity, IUsersContainer)
-from waeup.sirp.interfaces import (
-    ISIRPUtils, ISIRPObject, ISIRPXMLExporter,
-    ISIRPXMLImporter, IDataCenter, IUserAccount)
-from waeup.sirp.browser.layout import SIRPPage, default_primary_nav_template
-from waeup.sirp.utils.helpers import get_user_account
-
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import (
+    IKOFAUtils, IKOFAObject, IKOFAXMLExporter,
+    IKOFAXMLImporter, IDataCenter, IUserAccount)
+from waeup.kofa.browser.layout import KOFAPage, default_primary_nav_template
+from waeup.kofa.utils.helpers import get_user_account
+
+from waeup.kofa.interfaces import MessageFactory as _
 
 grok.templatedir('templates')
-grok.context(ISIRPObject) # Make ISIRPObject the default context
+grok.context(IKOFAObject) # Make IKOFAObject the default context
 
 class LeftSidebar(grok.ViewletManager):
@@ -85,5 +85,5 @@
     """
     grok.baseclass()
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.viewletmanager(ActionBar)
     icon = 'actionicon_modify.png' # File must exist in static/
@@ -126,5 +126,5 @@
             # local to the derived class' module. As we often like to
             # get the icons from here
-            # (i.e. waeup.sirp.browser/static), we set the directory
+            # (i.e. waeup.kofa.browser/static), we set the directory
             # resource appropiately.
             #
@@ -134,5 +134,5 @@
             # TODO: notes in here should go to general documentation.
             static = queryAdapter(
-                self.request, Interface, name='waeup.sirp.browser')
+                self.request, Interface, name='waeup.kofa.browser')
         return static[self.icon]()
 
@@ -196,5 +196,5 @@
 
 class BreadCrumbs(grok.Viewlet):
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.viewletmanager(BreadCrumbManager)
     grok.order(1)
@@ -216,10 +216,10 @@
     """
     grok.viewletmanager(LanguageManager)
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.require('waeup.Public')
     title = u'Languages'
 
     def render(self):
-        preferred_languages = getUtility(ISIRPUtils).PREFERRED_LANGUAGES_DICT
+        preferred_languages = getUtility(IKOFAUtils).PREFERRED_LANGUAGES_DICT
         html = u''
         for key, value in sorted(
@@ -257,5 +257,5 @@
     grok.baseclass()
     grok.viewletmanager(LeftSidebar)
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.order(5)
     grok.require('waeup.manageUniversity')
@@ -278,5 +278,5 @@
                 # local to the derived class' module. As we often like to
                 # get the icons from here
-                # (i.e. waeup.sirp.browser/static), we set the directory
+                # (i.e. waeup.kofa.browser/static), we set the directory
                 # resource appropiately.
                 #
@@ -286,5 +286,5 @@
                 # TODO: notes in here should go to general documentation.
                 static = queryAdapter(
-                    self.request, Interface, name='waeup.sirp.browser')
+                    self.request, Interface, name='waeup.kofa.browser')
             return static[self.icon]()
         return
@@ -310,5 +310,5 @@
 
 #
-# waeup.sirp.app.University viewlets...
+# waeup.kofa.app.University viewlets...
 #
 class Login(grok.Viewlet):
@@ -316,5 +316,5 @@
     """
     grok.viewletmanager(LeftSidebar)
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.view(Interface)
     grok.order(2)
@@ -350,5 +350,5 @@
     """
     grok.viewletmanager(LeftSidebar)
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.view(Interface)
     grok.order(5)
@@ -520,5 +520,5 @@
 class BrowseActionButton(ActionButton):
     grok.baseclass()
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.template('actionbutton')
     grok.viewletmanager(ActionBar)
@@ -686,5 +686,5 @@
     target_viewname = 'datacenter'
 
-# The SubobjectLister and its viewlets below are not used in SIRP.
+# The SubobjectLister and its viewlets below are not used in KOFA.
 
 class SubobjectLister(grok.ViewletManager):
